mscorlib 2.0.0.0 4.0.0.0 System.Enum

For additional information about the SYSKIND enumeration, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Identifies the target operating system platform.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.SYSKIND

  The target operating system for the type library is Apple Macintosh. By default, all data fields are aligned on even-byte boundaries.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.SYSKIND

  The target operating system for the type library is 16-bit Windows systems. By default, data fields are packed.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.SYSKIND

  The target operating system for the type library is 32-bit Windows systems. By default, data fields are naturally aligned (for example, 2-byte integers are aligned on even-byte boundaries; 4-byte integers are aligned on quad-word boundaries, and so on).

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.SYSKIND

  The target operating system for the type library is 64-bit Windows systems.